sc::Render(3)

NAME
sc::Render -

SYNOPSIS

Inherits sc::DescribedClass'.

Inherited by sc::FileRender'.

  Public Member Functions
Render (const Ref< KeyVal > &)
Ref< Material > default_material ()
Ref< Appearance > default_appearance ()
Ref< Transform > default_transform ()
void default_material (const Ref< Material > &m)
void default_appearance (const Ref< Appearance > &a)
void default_transform (const Ref< Transform > &t)
virtual void clear ()=0
virtual void render (const Ref< RenderedObject > &)
virtual void animate (const Ref< AnimatedObject > &)
virtual void set (const Ref< RenderedObjectSet > &)
virtual void sphere (const Ref< RenderedSphere > &)
virtual void polygons (const Ref< RenderedPolygons > &)=0
virtual void polylines (const Ref< RenderedPolylines > &)=0

  Protected Member Functions
virtual void push_material (const Ref< Material > &m)
virtual void push_appearance (const Ref< Appearance > &a)
virtual void push_transform (const Ref< Transform > &t)
virtual Ref< Material > pop_material ()
virtual Ref< Appearance > pop_appearance ()
virtual Ref< Transform > pop_transform ()

  Protected Attributes
Ref< Material > default_material_
Ref< Appearance > default_appearance_
Ref< Transform > default_transform_
Stack< Ref< Material > > material_stack_
Stack< Ref< Appearance > > appearance_stack_
Stack< Ref< Transform > > transform_stack_

Author

Generated automatically by Doxygen for MPQC from the source code'.